QTeXEngine: QTeXPaintDevice Class Reference

# QTeXPaintDevice Class Reference

`#include <QTeXEngine.h>`

List of all members.

## Public Types
## Public Member Functions
void | exportFontSizes (bool on=true)
| Enables/Disables exporting of font sizes.
virtual QPaintEngine * | paintEngine () const
| QTeXPaintDevice (const QString &fileName, const QSize &s=QSize(), Unit u=pt)
void | setColorMode (QPrinter::ColorMode mode)
| Set color mode (Color or GrayScale).
void | setDocumentMode (bool on=true)
| Enables/Disables document tags.
void | setEscapeTextMode (bool on=true)
| Enables/Disables escaping of special characters in texts.
void | setOutputMode (OutputMode mode)
| Set output mode (Tikz or Pgf).
void | setSize (const QSize &s)
| Set size.
void | setTextHorizontalAlignment (Qt::Alignment alignment)
| Set horizontal alignment.
void | setUnit (Unit u)
| Set length unit.
| ~QTeXPaintDevice ()
## Protected Member Functions
virtual int | metric (PaintDeviceMetric) const
## Private Attributes
QSize | d_size
| Size in pixels.
QTeXPaintEngine * | engine

## Member Enumeration Documentation

enum QTeXPaintDevice::OutputMode

Enumerator:

  Tikz |
  Pgf |

enum QTeXPaintDevice::Unit

Enumerator:

  pt |
  bp |
  mm |
  cm |
  in |
  ex |
  em |

## Constructor & Destructor Documentation

QTeXPaintDevice::QTeXPaintDevice | ( | const QString & | fileName,
|  | const QSize & | s = `QSize()`,
|  | Unit | u = `pt` |
| ) |  |  |

References d_size, and engine.

QTeXPaintDevice::~QTeXPaintDevice | ( |  | ) |

References engine.

## Member Function Documentation

void QTeXPaintDevice::exportFontSizes | ( | bool | on = `true` | ) |

Enables/Disables exporting of font sizes.

References engine, and QTeXPaintEngine::exportFontSizes().

int QTeXPaintDevice::metric | ( | PaintDeviceMetric | metric | ) | const`[protected, virtual]`

References d_size.

QPaintEngine * QTeXPaintDevice::paintEngine | ( |  | ) | const`[virtual]`

References engine.

void QTeXPaintDevice::setColorMode | ( | QPrinter::ColorMode | mode | ) |

Set color mode (Color or GrayScale).

References engine, and QTeXPaintEngine::setGrayScale().

void QTeXPaintDevice::setDocumentMode | ( | bool | on = `true` | ) |

Enables/Disables document tags.

References engine, and QTeXPaintEngine::setDocumentMode().

void QTeXPaintDevice::setEscapeTextMode | ( | bool | on = `true` | ) |

Enables/Disables escaping of special characters in texts.

References engine, and QTeXPaintEngine::setEscapeTextMode().

void QTeXPaintDevice::setOutputMode | ( | OutputMode | mode | ) |

Set output mode (Tikz or Pgf).

References engine, and QTeXPaintEngine::setOutputMode().

void QTeXPaintDevice::setSize | ( | const QSize & | s | ) | `[inline]`

Set size.

References d_size.

void QTeXPaintDevice::setTextHorizontalAlignment | ( | Qt::Alignment | alignment | ) |

Set horizontal alignment.

References engine, and QTeXPaintEngine::setTextHorizontalAlignment().

void QTeXPaintDevice::setUnit | ( | Unit | u | ) |

Set length unit.

References engine, and QTeXPaintEngine::setUnit().

## Member Data Documentation

QSize QTeXPaintDevice::d_size`[private]`

Size in pixels.

Referenced by metric(), QTeXPaintDevice(), and setSize().

QTeXPaintEngine* QTeXPaintDevice::engine`[private]`

Referenced by exportFontSizes(), paintEngine(), QTeXPaintDevice(), setColorMode(), setDocumentMode(), setEscapeTextMode(), setOutputMode(), setTextHorizontalAlignment(), setUnit(), and ~QTeXPaintDevice().

The documentation for this class was generated from the following files:

- C:/qtiplot/3rdparty/QTeXEngine/src/QTeXEngine.h
- C:/qtiplot/3rdparty/QTeXEngine/src/QTeXPaintDevice.cpp